GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::ClientReaderWriter< R, W > Class Template Reference

`#include <client_context.h>`

## Public Member Functions
| ClientReaderWriter (ChannelInterface *channel, const RpcMethod &method, ClientContext *context)
void | WaitForInitialMetadata ()
bool | Read (R *msg) GRPC_OVERRIDE
bool | Write (const W &msg, const WriteOptions &options) GRPC_OVERRIDE
bool | WritesDone () GRPC_OVERRIDE
Status | Finish () GRPC_OVERRIDE
Public Member Functions inherited from grpc::ClientStreamingInterface
virtual | ~ClientStreamingInterface ()
Public Member Functions inherited from grpc::WriterInterface< W >
virtual | ~WriterInterface ()
bool | Write (const W &msg)
Public Member Functions inherited from grpc::ReaderInterface< R >
virtual | ~ReaderInterface ()

## Constructor & Destructor Documentation

template<class R , class W >

grpc::ClientReaderWriter< R, W >::ClientReaderWriter | ( | ChannelInterface * | channel,
|  | const RpcMethod & | method,
|  | ClientContext * | context
| ) |  |
| inline

## Member Function Documentation

template<class R , class W >

Status grpc::ClientReaderWriter< R, W >::Finish | ( |  | ) |
| inline virtual

Implements grpc::ClientStreamingInterface.

template<class R , class W >

bool grpc::ClientReaderWriter< R, W >::Read | ( | R * | msg | ) |
| inline virtual

Implements grpc::ReaderInterface< R >.

template<class R , class W >

void grpc::ClientReaderWriter< R, W >::WaitForInitialMetadata | ( |  | ) |
| inline virtual

Implements grpc::ClientReaderWriterInterface< W, R >.

template<class R , class W >

bool grpc::ClientReaderWriter< R, W >::Write | ( | const W & | msg,
|  | const WriteOptions & | options
| ) |  |
| inline virtual

Implements grpc::WriterInterface< W >.

template<class R , class W >

bool grpc::ClientReaderWriter< R, W >::WritesDone | ( |  | ) |
| inline virtual

Implements grpc::ClientReaderWriterInterface< W, R >.

The documentation for this class was generated from the following files:

- include/grpc++/client_context.h
- include/grpc++/stream.h